Get a paginated set of alerts
- Base URL
-
https://{kibana_url}
- GET /api/alerts/alerts/_find
- GET /s/{space_id}/api/alerts/alerts/_find
Refer to Spaces for more information.
Deprecated in 7.13.0. Use the find rules API instead. NOTE: Alert params are stored as a flattened field type and analyzed as keywords. As alerts change in Kibana, the results on each page of the response also change. Use the find API for traditional paginated results, but avoid using it to export large amounts of data.
Query parameters
-
default_search_operatorstring · default: OR -
The default operator to use for the
simple_query_string. -
filterstring -
A KQL string that you filter with an attribute from your saved object. It should look like
savedObjectType.attributes.title: "myTitle". However, if you used a direct attribute of a saved object, such asupdatedAt, you must define your filter, for example,savedObjectType.updatedAt > 2018-12-22. -
has_referenceobject -
Filters the rules that have a relation with the reference objects with a specific type and identifier.
Responses
Indicates a successful call.